Package org.jboss.resteasy.client.jaxrs.i18n

## Class Messages_$bundle

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.i18n.Messages_$bundle

- All Implemented Interfaces:
    `Serializable`, `Messages`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-10-01T14:26:58-0700")
      public class Messages_$bundle
      extends Object
      implements Messages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Messages_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.jboss.resteasy.client.jaxrs.i18n.Messages

      `BASE, MESSAGES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Messages_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `cannotSetFormParameter()` |
    `protected String` | `cannotSetFormParameter$str()` |
    `String` | `canOnlySetOneLinkHeaderParam​(String className, String methodName)` |
    `protected String` | `canOnlySetOneLinkHeaderParam$str()` |
    `String` | `clientIsClosed()` |
    `protected String` | `clientIsClosed$str()` |
    `String` | `clientProxyFor​(String className)` |
    `protected String` | `clientProxyFor$str()` |
    `String` | `couldNotCloseHttpResponse()` |
    `protected String` | `couldNotCloseHttpResponse$str()` |
    `String` | `couldNotCreateURL​(String uri, String className, String methodName)` |
    `protected String` | `couldNotCreateURL$str()` |
    `String` | `couldNotDeleteFile​(String path)` |
    `protected String` | `couldNotDeleteFile$str()` |
    `String` | `couldNotFindMethod​(Method method)` |
    `protected String` | `couldNotFindMethod$str()` |
    `String` | `couldNotProcessMethod​(Method method)` |
    `protected String` | `couldNotProcessMethod$str()` |
    `String` | `doesNotSpecifyTypeParameter​(TypeVariable<?> var)` |
    `protected String` | `doesNotSpecifyTypeParameter$str()` |
    `String` | `entityAlreadyRead​(Class<?> clazz)` |
    `protected String` | `entityAlreadyRead$str()` |
    `String` | `failedOnRegisteringClass​(String className)` |
    `protected String` | `failedOnRegisteringClass$str()` |
    `String` | `failedToBufferAbortedResponse()` |
    `protected String` | `failedToBufferAbortedResponse$str()` |
    `String` | `failedToBufferAbortedResponseNoWriter​(javax.ws.rs.core.MediaType mediaType, String className)` |
    `protected String` | `failedToBufferAbortedResponseNoWriter$str()` |
    `protected Locale` | `getLoggingLocale()` |
    `String` | `getRequestCannotHaveBody()` |
    `protected String` | `getRequestCannotHaveBody$str()` |
    `String` | `inputStreamWasEmpty()` |
    `protected String` | `inputStreamWasEmpty$str()` |
    `String` | `linkWasNull()` |
    `protected String` | `linkWasNull$str()` |
    `String` | `methodWasNull()` |
    `protected String` | `methodWasNull$str()` |
    `String` | `mustDefineConsumesType()` |
    `protected String` | `mustDefineConsumesType$str()` |
    `String` | `mustSetLinkHeaderParam​(String className, String methodName)` |
    `protected String` | `mustSetLinkHeaderParam$str()` |
    `String` | `mustUseExactlyOneHttpMethod​(String methodName)` |
    `protected String` | `mustUseExactlyOneHttpMethod$str()` |
    `String` | `nameWasNull()` |
    `protected String` | `nameWasNull$str()` |
    `String` | `noTypeInformation()` |
    `protected String` | `noTypeInformation$str()` |
    `String` | `nullParameter​(String annotation)` |
    `protected String` | `nullParameter$str()` |
    `String` | `parametersWasNull()` |
    `protected String` | `parametersWasNull$str()` |
    `String` | `pathWasNull()` |
    `protected String` | `pathWasNull$str()` |
    `String` | `pleaseConsiderUnpdating()` |
    `protected String` | `pleaseConsiderUnpdating$str()` |
    `String` | `proxyInterfaceWasNull()` |
    `protected String` | `proxyInterfaceWasNull$str()` |
    `protected Object` | `readResolve()` |
    `String` | `resourceWasNull()` |
    `protected String` | `resourceWasNull$str()` |
    `String` | `resteasyClientProxyFor​(String className)` |
    `protected String` | `resteasyClientProxyFor$str()` |
    `String` | `streamIsClosed()` |
    `protected String` | `streamIsClosed$str()` |
    `String` | `templateValuesEntryWasNull()` |
    `protected String` | `templateValuesEntryWasNull$str()` |
    `String` | `templateValuesWasNull()` |
    `protected String` | `templateValuesWasNull$str()` |
    `String` | `unableToInstantiate​(Class<?> clazz)` |
    `protected String` | `unableToInstantiate$str()` |
    `String` | `unableToInvokeRequest​(String msg)` |
    `protected String` | `unableToInvokeRequest$str()` |
    `String` | `unableToLoadClientConfigProviderConfiguration()` |
    `protected String` | `unableToLoadClientConfigProviderConfiguration$str()` |
    `String` | `unableToSetHttpProxy()` |
    `protected String` | `unableToSetHttpProxy$str()` |
    `String` | `uriBuilderWasNull()` |
    `protected String` | `uriBuilderWasNull$str()` |
    `String` | `uriWasNull()` |
    `protected String` | `uriWasNull$str()` |
    `String` | `valueWasNull()` |
    `protected String` | `valueWasNull$str()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final Messages_$bundle INSTANCE

  - ### Constructor Detail

    - #### Messages_$bundle

          protected Messages_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### canOnlySetOneLinkHeaderParam$str

          protected String canOnlySetOneLinkHeaderParam$str()

    - #### canOnlySetOneLinkHeaderParam

          public final String canOnlySetOneLinkHeaderParam​(String className,
                                                           String methodName)

      Specified by:
        `canOnlySetOneLinkHeaderParam` in interface `Messages`

    - #### cannotSetFormParameter$str

          protected String cannotSetFormParameter$str()

    - #### cannotSetFormParameter

          public final String cannotSetFormParameter()

      Specified by:
        `cannotSetFormParameter` in interface `Messages`

    - #### clientIsClosed$str

          protected String clientIsClosed$str()

    - #### clientIsClosed

          public final String clientIsClosed()

      Specified by:
        `clientIsClosed` in interface `Messages`

    - #### clientProxyFor$str

          protected String clientProxyFor$str()

    - #### clientProxyFor

          public final String clientProxyFor​(String className)

      Specified by:
        `clientProxyFor` in interface `Messages`

    - #### couldNotCreateURL$str

          protected String couldNotCreateURL$str()

    - #### couldNotCreateURL

          public final String couldNotCreateURL​(String uri,
                                                String className,
                                                String methodName)

      Specified by:
        `couldNotCreateURL` in interface `Messages`

    - #### couldNotDeleteFile$str

          protected String couldNotDeleteFile$str()

    - #### couldNotDeleteFile

          public final String couldNotDeleteFile​(String path)

      Specified by:
        `couldNotDeleteFile` in interface `Messages`

    - #### couldNotFindMethod$str

          protected String couldNotFindMethod$str()

    - #### couldNotFindMethod

          public final String couldNotFindMethod​(Method method)

      Specified by:
        `couldNotFindMethod` in interface `Messages`

    - #### couldNotProcessMethod$str

          protected String couldNotProcessMethod$str()

    - #### couldNotProcessMethod

          public final String couldNotProcessMethod​(Method method)

      Specified by:
        `couldNotProcessMethod` in interface `Messages`

    - #### doesNotSpecifyTypeParameter$str

          protected String doesNotSpecifyTypeParameter$str()

    - #### doesNotSpecifyTypeParameter

          public final String doesNotSpecifyTypeParameter​(TypeVariable<?> var)

      Specified by:
        `doesNotSpecifyTypeParameter` in interface `Messages`

    - #### entityAlreadyRead$str

          protected String entityAlreadyRead$str()

    - #### entityAlreadyRead

          public final String entityAlreadyRead​(Class<?> clazz)

      Specified by:
        `entityAlreadyRead` in interface `Messages`

    - #### failedOnRegisteringClass$str

          protected String failedOnRegisteringClass$str()

    - #### failedOnRegisteringClass

          public final String failedOnRegisteringClass​(String className)

      Specified by:
        `failedOnRegisteringClass` in interface `Messages`

    - #### failedToBufferAbortedResponse$str

          protected String failedToBufferAbortedResponse$str()

    - #### failedToBufferAbortedResponse

          public final String failedToBufferAbortedResponse()

      Specified by:
        `failedToBufferAbortedResponse` in interface `Messages`

    - #### failedToBufferAbortedResponseNoWriter$str

          protected String failedToBufferAbortedResponseNoWriter$str()

    - #### failedToBufferAbortedResponseNoWriter

          public final String failedToBufferAbortedResponseNoWriter​(javax.ws.rs.core.MediaType mediaType,
                                                                    String className)

      Specified by:
        `failedToBufferAbortedResponseNoWriter` in interface `Messages`

    - #### getRequestCannotHaveBody$str

          protected String getRequestCannotHaveBody$str()

    - #### getRequestCannotHaveBody

          public final String getRequestCannotHaveBody()

      Specified by:
        `getRequestCannotHaveBody` in interface `Messages`

    - #### inputStreamWasEmpty$str

          protected String inputStreamWasEmpty$str()

    - #### inputStreamWasEmpty

          public final String inputStreamWasEmpty()

      Specified by:
        `inputStreamWasEmpty` in interface `Messages`

    - #### linkWasNull$str

          protected String linkWasNull$str()

    - #### linkWasNull

          public final String linkWasNull()

      Specified by:
        `linkWasNull` in interface `Messages`

    - #### methodWasNull$str

          protected String methodWasNull$str()

    - #### methodWasNull

          public final String methodWasNull()

      Specified by:
        `methodWasNull` in interface `Messages`

    - #### mustDefineConsumesType$str

          protected String mustDefineConsumesType$str()

    - #### mustDefineConsumesType

          public final String mustDefineConsumesType()

      Specified by:
        `mustDefineConsumesType` in interface `Messages`

    - #### mustSetLinkHeaderParam$str

          protected String mustSetLinkHeaderParam$str()

    - #### mustSetLinkHeaderParam

          public final String mustSetLinkHeaderParam​(String className,
                                                     String methodName)

      Specified by:
        `mustSetLinkHeaderParam` in interface `Messages`

    - #### mustUseExactlyOneHttpMethod$str

          protected String mustUseExactlyOneHttpMethod$str()

    - #### mustUseExactlyOneHttpMethod

          public final String mustUseExactlyOneHttpMethod​(String methodName)

      Specified by:
        `mustUseExactlyOneHttpMethod` in interface `Messages`

    - #### nameWasNull$str

          protected String nameWasNull$str()

    - #### nameWasNull

          public final String nameWasNull()

      Specified by:
        `nameWasNull` in interface `Messages`

    - #### noTypeInformation$str

          protected String noTypeInformation$str()

    - #### noTypeInformation

          public final String noTypeInformation()

      Specified by:
        `noTypeInformation` in interface `Messages`

    - #### parametersWasNull$str

          protected String parametersWasNull$str()

    - #### parametersWasNull

          public final String parametersWasNull()

      Specified by:
        `parametersWasNull` in interface `Messages`

    - #### pathWasNull$str

          protected String pathWasNull$str()

    - #### pathWasNull

          public final String pathWasNull()

      Specified by:
        `pathWasNull` in interface `Messages`

    - #### pleaseConsiderUnpdating$str

          protected String pleaseConsiderUnpdating$str()

    - #### pleaseConsiderUnpdating

          public final String pleaseConsiderUnpdating()

      Specified by:
        `pleaseConsiderUnpdating` in interface `Messages`

    - #### proxyInterfaceWasNull$str

          protected String proxyInterfaceWasNull$str()

    - #### proxyInterfaceWasNull

          public final String proxyInterfaceWasNull()

      Specified by:
        `proxyInterfaceWasNull` in interface `Messages`

    - #### resourceWasNull$str

          protected String resourceWasNull$str()

    - #### resourceWasNull

          public final String resourceWasNull()

      Specified by:
        `resourceWasNull` in interface `Messages`

    - #### resteasyClientProxyFor$str

          protected String resteasyClientProxyFor$str()

    - #### resteasyClientProxyFor

          public final String resteasyClientProxyFor​(String className)

      Specified by:
        `resteasyClientProxyFor` in interface `Messages`

    - #### streamIsClosed$str

          protected String streamIsClosed$str()

    - #### streamIsClosed

          public final String streamIsClosed()

      Specified by:
        `streamIsClosed` in interface `Messages`

    - #### templateValuesEntryWasNull$str

          protected String templateValuesEntryWasNull$str()

    - #### templateValuesEntryWasNull

          public final String templateValuesEntryWasNull()

      Specified by:
        `templateValuesEntryWasNull` in interface `Messages`

    - #### templateValuesWasNull$str

          protected String templateValuesWasNull$str()

    - #### templateValuesWasNull

          public final String templateValuesWasNull()

      Specified by:
        `templateValuesWasNull` in interface `Messages`

    - #### unableToInstantiate$str

          protected String unableToInstantiate$str()

    - #### unableToInstantiate

          public final String unableToInstantiate​(Class<?> clazz)

      Specified by:
        `unableToInstantiate` in interface `Messages`

    - #### unableToInvokeRequest$str

          protected String unableToInvokeRequest$str()

    - #### unableToInvokeRequest

          public final String unableToInvokeRequest​(String msg)

      Specified by:
        `unableToInvokeRequest` in interface `Messages`

    - #### uriBuilderWasNull$str

          protected String uriBuilderWasNull$str()

    - #### uriBuilderWasNull

          public final String uriBuilderWasNull()

      Specified by:
        `uriBuilderWasNull` in interface `Messages`

    - #### uriWasNull$str

          protected String uriWasNull$str()

    - #### uriWasNull

          public final String uriWasNull()

      Specified by:
        `uriWasNull` in interface `Messages`

    - #### valueWasNull$str

          protected String valueWasNull$str()

    - #### valueWasNull

          public final String valueWasNull()

      Specified by:
        `valueWasNull` in interface `Messages`

    - #### couldNotCloseHttpResponse$str

          protected String couldNotCloseHttpResponse$str()

    - #### couldNotCloseHttpResponse

          public final String couldNotCloseHttpResponse()

      Specified by:
        `couldNotCloseHttpResponse` in interface `Messages`

    - #### unableToSetHttpProxy$str

          protected String unableToSetHttpProxy$str()

    - #### unableToSetHttpProxy

          public final String unableToSetHttpProxy()

      Specified by:
        `unableToSetHttpProxy` in interface `Messages`

    - #### nullParameter$str

          protected String nullParameter$str()

    - #### nullParameter

          public final String nullParameter​(String annotation)

      Specified by:
        `nullParameter` in interface `Messages`

    - #### unableToLoadClientConfigProviderConfiguration$str

          protected String unableToLoadClientConfigProviderConfiguration$str()

    - #### unableToLoadClientConfigProviderConfiguration

          public final String unableToLoadClientConfigProviderConfiguration()

      Specified by:
        `unableToLoadClientConfigProviderConfiguration` in interface `Messages`